package com.lovenav.vo;

import java.util.ArrayList;
import java.util.List;

public class CateAndUrl {
    String name;
    String icon;
    String url;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getFloder() {
        return floder;
    }

    public void setFloder(String floder) {
        this.floder = floder;
    }

    public List<CateAndUrl> getChildUC() {
        return childUC;
    }

    public void setChildUC(List<CateAndUrl> childUC) {
        this.childUC = childUC;
    }

    @Override
    public String toString() {
        return "cateAndUrl{" +
                "name='" + name + '\'' +
                ", icon='" + icon + '\'' +
                ", url='" + url + '\'' +
                ", floder='" + floder + '\'' +
                ", childUC=" + childUC +
                '}';
    }

    public int getParentId() {
        return parentId;
    }

    public void setParentId(int parentId) {
        this.parentId = parentId;
    }

    String floder;


    public Integer getCateId() {
        return cateId;
    }

    public void setCateId(Integer cateId) {
        this.cateId = cateId;
    }

    public Long getUrlId() {
        return urlId;
    }

    public void setUrlId(Long urlId) {
        this.urlId = urlId;
    }

    int parentId;

    Integer  cateId;
    Long urlId;

    List<CateAndUrl> childUC = new ArrayList<>();


    /**
     * 创建时间
     */
    private Long createtime;

    /**
     * 访问数量
     */
    private Long views;

    /**
     * 标签
     */
    private String tags;

    /**
     * 权重
     */
    private Long weigh;

    /**
     * 状态
     */
    private Byte status;

    /**
     * 描述
     */
    private String desc;

    /**
     * 需要登录才能查看
     */
    private Byte needLogin;

    /**
     * 代理提示语
     */
    private String agentHint;

    /**
     * 是否需要代理 1需要0不需要
     */
    private Byte isNeedAgent;

    /**
     * 是否广告1是0不是
     */
    private Byte isAd;

    /**
     * 是否全局置顶1是0不是
     */
    private Byte isTop;

    /**
     * 是否加密（1加密/0不加密）
     */
    private Byte isEncrypt;


    public Long getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Long createtime) {
        this.createtime = createtime;
    }

    public Long getViews() {
        return views;
    }

    public void setViews(Long views) {
        this.views = views;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public Long getWeigh() {
        return weigh;
    }

    public void setWeigh(Long weigh) {
        this.weigh = weigh;
    }

    public Byte getStatus() {
        return status;
    }

    public void setStatus(Byte status) {
        this.status = status;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Byte getNeedLogin() {
        return needLogin;
    }

    public void setNeedLogin(Byte needLogin) {
        this.needLogin = needLogin;
    }

    public String getAgentHint() {
        return agentHint;
    }

    public void setAgentHint(String agentHint) {
        this.agentHint = agentHint;
    }

    public Byte getIsNeedAgent() {
        return isNeedAgent;
    }

    public void setIsNeedAgent(Byte isNeedAgent) {
        this.isNeedAgent = isNeedAgent;
    }

    public Byte getIsAd() {
        return isAd;
    }

    public void setIsAd(Byte isAd) {
        this.isAd = isAd;
    }

    public Byte getIsTop() {
        return isTop;
    }

    public void setIsTop(Byte isTop) {
        this.isTop = isTop;
    }

    public Byte getIsEncrypt() {
        return isEncrypt;
    }

    public void setIsEncrypt(Byte isEncrypt) {
        this.isEncrypt = isEncrypt;
    }
}
